const fs = require('fs');
const path = require('path');
const { loadEnv } = require('../src/index');

test('loads environment variables from a .private file', () => {
  const filePath = path.join(__dirname, '.private');
  // .private dosyası oluşturun
  fs.writeFileSync(filePath, 'TEST_KEY=TestValue\n');
  
  // Testi çalıştırın
  loadEnv(filePath);
  expect(process.env.TEST_KEY).toBe('TestValue');

  // Temizlik yapın
  fs.unlinkSync(filePath);
});
